aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2023-09-14 12:16:48 -0300
committerSebastian <sebasjm@gmail.com>2023-09-14 12:16:48 -0300
commitb7afefb7150a1cadc5efc4e3c3811ee978d405d9 (patch)
tree91bc5f929b2e8d7cf0732767f927658f655801a1
parent1653130de893a0a1bdbdef785244aa6ae34ca4e7 (diff)
downloadwallet-core-b7afefb7150a1cadc5efc4e3c3811ee978d405d9.tar.xz
do, instead of show a message
-rwxr-xr-xcontrib/copy-backend-into-prebuilt.sh2
-rwxr-xr-xcontrib/copy-backoffice-into-prebuilt.sh2
-rwxr-xr-xcontrib/copy-demobank-into-prebuilt.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/contrib/copy-backend-into-prebuilt.sh b/contrib/copy-backend-into-prebuilt.sh
index b9fa2a68e..383871ac6 100755
--- a/contrib/copy-backend-into-prebuilt.sh
+++ b/contrib/copy-backend-into-prebuilt.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
for file in depleted_tip.en.html offer_refund.en.html offer_tip.en.html request_payment.en.html show_order_details.en.html; do
cp packages/merchant-backend-ui/dist/pages/$file prebuilt/backend/
diff --git a/contrib/copy-backoffice-into-prebuilt.sh b/contrib/copy-backoffice-into-prebuilt.sh
index aecebf01b..d21b91096 100755
--- a/contrib/copy-backoffice-into-prebuilt.sh
+++ b/contrib/copy-backoffice-into-prebuilt.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
find packages/merchant-backoffice-ui/dist/prod/ -type f -printf '%P\n' | sort > prebuilt/backoffice/bof
diff --git a/contrib/copy-demobank-into-prebuilt.sh b/contrib/copy-demobank-into-prebuilt.sh
index f5292a767..755b66150 100755
--- a/contrib/copy-demobank-into-prebuilt.sh
+++ b/contrib/copy-demobank-into-prebuilt.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
find packages/demobank-ui/dist/prod/ -type f -printf '%P\n' | sort > prebuilt/demobank/bof